/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "julie.h"

void pokerCharacterJulieInit(vncharacter_t *vnc) {
  // Base Layer
  vnCharacterLayerAdd(vnc, 1, 0, 0, 0, 0, 1053, 1961);

  // Layers
  vnc->layerEyes = vnCharacterLayerAdd(vnc, 4,
    1053, 0,
    353, 119,
    344, 351
  );

  vnc->layerMouth = vnCharacterLayerAdd(vnc, 12,
    1053, 351,
    353, 119,
    344, 351
  );

  vnc->layerEyebrows = vnCharacterLayerAdd(vnc, 4,
    1053, 702,
    353, 119,
    344, 351
  );

  vnCharacterLayerAdd(vnc, 2,
    1053, 1053,
    353, 119,
    344, 351
  );
}
